Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-21166

AJDT can't install against 4.4/Neon

    XMLWordPrintable

Details

    Description

      AJDT fails to install on JBoss Tools 4.4/Eclipse Neon

      Various contraint show that AJDT is not compatible with newer JDT.

      !ENTRY org.eclipse.equinox.p2.operations 4 0 2015-11-27 20:08:18.692
      !MESSAGE Operation details
      !SUBENTRY 1 org.eclipse.equinox.p2.operations 2 10001 2015-11-27 20:08:18.692
      !MESSAGE Your original request has been modified.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.692
      !MESSAGE "Mylyn Commons" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.692
      !MESSAGE "Eclipse Git Team Provider" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.692
      !MESSAGE "Mylyn Task-Focused Interface" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 2 10004 2015-11-27 20:08:18.692
      !MESSAGE "Eclipse Git Team Provider - Task focused interface" will be ignored because a newer version is already installed. 
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.692
      !MESSAGE "Atlassian JIRA Connector (Recommended)" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.692
      !MESSAGE "Java implementation of Git" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.692
      !MESSAGE "Mylyn Task List" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.692
      !MESSAGE "Mylyn Tasks Connector: Bugzilla" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 2 10004 2015-11-27 20:08:18.693
      !MESSAGE "Mylyn Context Connector: Eclipse IDE" will be ignored because a newer version is already installed. 
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 2 10004 2015-11-27 20:08:18.693
      !MESSAGE "Mylyn Context Connector: Java Development" will be ignored because a newer version is already installed. 
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 2 10004 2015-11-27 20:08:18.693
      !MESSAGE "Mylyn Context Connector: Team Support" will be ignored because a newer version is already installed. 
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 1 10006 2015-11-27 20:08:18.693
      !MESSAGE "Atlassian Connector for Eclipse Usage Monitoring" is already present because other installed software requires it.  It will be added to the installed software list.
      !SUBENTRY 2 org.eclipse.equinox.p2.operations 2 10005 2015-11-27 20:08:18.693
      !MESSAGE "JBoss Tools Common - Mylyn" will be ignored because it is already installed.
      !SUBENTRY 1 org.eclipse.equinox.p2.director 4 10054 2015-11-27 20:08:18.693
      !MESSAGE Cannot complete the install because of a conflicting dependency.
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE Software being installed: Spring IDE AJDT Integration (optional) 3.7.0.201506251244-RELEASE (org.springframework.ide.eclipse.ajdt.feature.feature.group 3.7.0.201506251244-RELEASE)
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE Software currently installed: Eclipse IDE for Java EE Developers 4.6.0.20151001-0600 (epp.package.jee 4.6.0.20151001-0600)
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.693
      !MESSAGE Only one of the following can be installed at once: 
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE Java Code Manipulation Functionality 1.5.0.v20120523-1543 (org.eclipse.jdt.core.manipulation 1.5.0.v20120523-1543)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE Java Code Manipulation Functionality 1.7.0.v20150713-1605 (org.eclipse.jdt.core.manipulation 1.7.0.v20150713-1605)
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.693
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE From: Eclipse IDE for Java EE Developers 4.6.0.20151001-0600 (epp.package.jee 4.6.0.20151001-0600)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE To: org.eclipse.epp.package.jee.feature.feature.group [4.6.0.20151001-0600]
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.693
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE From: AspectJ Development Tools Core 2.2.4.e44x-20140516-1000 (org.eclipse.ajdt.core 2.2.4.e44x-20140516-1000)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.693
      !MESSAGE To: bundle org.eclipse.jdt.core.manipulation [1.3.0,1.7.0)
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.693
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE From: EPP Java EE IDE Feature 4.6.0.20151001-0600 (org.eclipse.epp.package.jee.feature.feature.group 4.6.0.20151001-0600)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE To: org.eclipse.jdt.feature.group 0.0.0
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.694
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE From: Eclipse Java Development Tools 3.11.0.v20150805-2000 (org.eclipse.jdt.feature.group 3.11.0.v20150805-2000)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE To: org.eclipse.jdt.core.manipulation [1.7.0.v20150713-1605]
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.694
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE From: Eclipse Java Development Tools 3.12.0.v20150916-2000 (org.eclipse.jdt.feature.group 3.12.0.v20150916-2000)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE To: org.eclipse.jdt.core.manipulation [1.7.0.v20150713-1605]
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.694
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE From: Eclipse Java Development Tools 3.12.0.v20151029-1349 (org.eclipse.jdt.feature.group 3.12.0.v20151029-1349)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE To: org.eclipse.jdt.core.manipulation [1.7.0.v20150713-1605]
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.694
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE From: Spring IDE AJDT Integration (optional) 3.7.0.201506251244-RELEASE (org.springframework.ide.eclipse.ajdt.feature.feature.group 3.7.0.201506251244-RELEASE)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE To: org.springframework.ide.eclipse.ajdt.ui.xref [3.7.0.201506251244-RELEASE]
      !SUBENTRY 2 org.eclipse.equinox.p2.director 4 1 2015-11-27 20:08:18.694
      !MESSAGE Cannot satisfy dependency:
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE From: Spring IDE AOP Xref UI 3.7.0.201506251244-RELEASE (org.springframework.ide.eclipse.ajdt.ui.xref 3.7.0.201506251244-RELEASE)
      !SUBENTRY 3 org.eclipse.equinox.p2.director 4 0 2015-11-27 20:08:18.694
      !MESSAGE To: package org.eclipse.ajdt.core 0.0.0
      

      Attachments

        Activity

          People

            nickboldt Nick Boldt
            mistria@redhat.com Mickael Istria
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: